## org.apache.commons.math3.optim.nonlinear.vector
Class ModelFunction

    java.lang.Object
      org.apache.commons.math3.optim.nonlinear.vector.ModelFunction

All Implemented Interfaces:
  OptimizationData

    public class ModelFunction

extends java.lang.Object
implements OptimizationData

Model (vector) function to be optimized.

Since:
  3.1
Version:
  $Id$

Field Summary
`private MultivariateVectorFunction` `model` Function to be optimized.

Constructor Summary
`ModelFunction(MultivariateVectorFunction m)`

Method Summary
`MultivariateVectorFunction` `getModelFunction()` Gets the model function to be optimized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    private final MultivariateVectorFunction model

  Function to be optimized.

Constructor Detail

### ModelFunction

    public ModelFunction(MultivariateVectorFunction m)

Parameters:
  `m` - Model function to be optimized.

Method Detail

### getModelFunction

    public MultivariateVectorFunction getModelFunction()

  Gets the model function to be optimized.

  Returns:
    the model function.

Copyright (c) 2003-2013 Apache Software Foundation